/*
  HEADER: CUG    nnn.nn;
  TITLE:         LEX - A Lexical Analyser Generator
  VERSION:       1.0 for IBM-PC
  DATE:          Sep 29, 195
  DESCRIPTION:   A Lexical Analyser Generator. From UNIX
  KEYWORDS:      Lexical Analyser Generator YACC C PREP
  SYSTEM:        IBM-PC and Compatiables
  FILENAME:      LEXSWI.C
  WARNINGS:      This program is not for the casual user. It will
                 be useful primarily to expert developers.
  CRC:           N/A
  SEE-ALSO:      YACC and PREP
  AUTHORS:       Scott Guthery 11100 leadfwood lane Austin, TX 78750
  COMPILERS:     DESMET-C
  REFERENCES:    UNIX Systems Manuals
*/
/*
 * lexswitch -- switch lex tables
 */

/*
 * Bob Denny	 28-Aug-82  Remove reference to stdio.h
 * Scott Guthery 20-Nov-83	Adapt for IBM PC & DeSmet C
 */

#include <lex.h>

extern struct lextab *_tabp;

struct lextab *
lexswitch(lp)
struct lextab *lp;
{
        register struct lextab *olp;

        olp = _tabp;
        _tabp = lp;
        return(olp);
}
